import { h } from "@stencil/core";
export class ACEBoxComponent {
    render() {
        return (h("div", null,
            h("div", { class: "row" },
                h("div", { class: "container box" },
                    h("h1", null, this.heading),
                    h("slot", null)))));
    }
    static get is() { return "ace-box"; }
    static get originalStyleUrls() { return {
        "$": ["ace-box.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ace-box.css"]
    }; }
    static get properties() { return {
        "heading": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "heading",
            "reflect": false
        }
    }; }
}
