import { h } from "@stencil/core";
export class ACEConeComponent {
    render() {
        return (h("div", { id: this.heading },
            h("div", null,
                h("div", { class: "row landing" },
                    h("div", { class: "col-sm" },
                        h("img", { src: "/images/logo.png" })),
                    h("div", { class: "col-sm loud" },
                        h("h1", null, this.heading),
                        h("h4", null,
                            h("slot", null)))))));
    }
    static get is() { return "ace-cone"; }
    static get originalStyleUrls() { return {
        "$": ["ace-cone.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ace-cone.css"]
    }; }
    static get properties() { return {
        "heading": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "heading",
            "reflect": false
        }
    }; }
}
