import { h } from "@stencil/core";
export class ACEDropdownComponent {
    printOptions() {
        return '';
    }
    render() {
        return (h("div", { class: "dropdown" },
            h("button", { class: "btn btn-primary dropdown-toggle", type: "button", "data-toggle": "dropdown" },
                this.heading,
                h("span", { class: "caret" })),
            h("ul", { class: "dropdown-menu" },
                h("slot", null))));
    }
    static get is() { return "ace-dropdown"; }
    static get originalStyleUrls() { return {
        "$": ["ace-dropdown.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ace-dropdown.css"]
    }; }
    static get properties() { return {
        "heading": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "heading",
            "reflect": false
        }
    }; }
}
